diff configure @ 4450:ac6231e0c1df

Automated merge with file:/Sources/xemacs-21.5-checked-out
author Aidan Kehoe <kehoea@parhasard.net>
date Wed, 07 May 2008 21:21:08 +0200
parents 13ce402e1736 e4225b6d9389
children 49f8ed034500
line wrap: on
line diff
--- a/configure	Wed May 07 21:17:59 2008 +0200
+++ b/configure	Wed May 07 21:21:08 2008 +0200
@@ -1662,7 +1662,7 @@
 
   --with-database=TYPE    Compile with database support. Valid types are `no'
                           or a comma-separated list of one or more of `berkdb'
-                          and either `dbm' or `gnudbm'.
+                          and either `dbm' or `gdbm'.
   --with-ldap             Support the LDAP protocol.
   --with-postgresql       Support the PostgreSQL RDBMS.
 
@@ -3773,7 +3773,7 @@
 
 if test "$enable_database_dbm"  = "yes" -a "$enable_database_gdbm" = "yes"; then
 	(echo "$progname: Usage error:"
-echo " " "Only one of \`dbm' and \`gnudbm' may be specified
+echo " " "Only one of \`dbm' and \`gdbm' may be specified
 with the \`--with-database' option."
 echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
@@ -4780,6 +4780,10 @@
 
 
 
+cp "$srcdir/version.sh.in" "$srcdir/version.sh"
+if test -d "$srcdir/.hg"; then
+    (cd "$srcdir"; hg identify | cut -d " " -f 1 >> version.sh)
+fi
 . "$srcdir/version.sh" || exit 1;
 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi
 : "${verbose=$beta}"
@@ -5361,7 +5365,7 @@
   if test "$enable_vdb" = "auto"; then
     case "$opsys" in
       darwin )  case "$machine" in
-		  i686 ) check_vdb_posix=yes ;;
+		  i[3-9]86 ) check_vdb_posix=yes ;;
 		  * ) cat >>confdefs.h <<\_ACEOF
 #define VDB_MACH 1
 _ACEOF
@@ -25707,9 +25711,9 @@
 echo "${ECHO_T}$ac_res" >&6; }
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
 
-                as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_threeDClassRec" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for threeDClassRec in -l$athena_variant" >&5
-echo $ECHO_N "checking for threeDClassRec in -l$athena_variant... $ECHO_C" >&6; }
+                as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_XawSme3dComputeTopShadowRGB" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -l$athena_variant" >&5
+echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -l$athena_variant... $ECHO_C" >&6; }
 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -25728,11 +25732,11 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char threeDClassRec ();
-int
-main ()
-{
-return threeDClassRec ();
+char XawSme3dComputeTopShadowRGB ();
+int
+main ()
+{
+return XawSme3dComputeTopShadowRGB ();
   ;
   return 0;
 }
@@ -25784,9 +25788,9 @@
 fi
 
   else
-        as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_threeDClassRec" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for threeDClassRec in -l$athena_variant" >&5
-echo $ECHO_N "checking for threeDClassRec in -l$athena_variant... $ECHO_C" >&6; }
+        as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_XawSme3dComputeTopShadowRGB" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -l$athena_variant" >&5
+echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -l$athena_variant... $ECHO_C" >&6; }
 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -25805,11 +25809,11 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char threeDClassRec ();
-int
-main ()
-{
-return threeDClassRec ();
+char XawSme3dComputeTopShadowRGB ();
+int
+main ()
+{
+return XawSme3dComputeTopShadowRGB ();
   ;
   return 0;
 }
@@ -25850,9 +25854,9 @@
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
   athena_lib=$athena_variant
 else
-              { echo "$as_me:$LINENO: checking for threeDClassRec in -lXaw" >&5
-echo $ECHO_N "checking for threeDClassRec in -lXaw... $ECHO_C" >&6; }
-if test "${ac_cv_lib_Xaw_threeDClassRec+set}" = set; then
+              { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -lXaw" >&5
+echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -lXaw... $ECHO_C" >&6; }
+if test "${ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
@@ -25870,48 +25874,48 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char threeDClassRec ();
-int
-main ()
-{
-return threeDClassRec ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_Xaw_threeDClassRec=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_Xaw_threeDClassRec=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_threeDClassRec" >&5
-echo "${ECHO_T}$ac_cv_lib_Xaw_threeDClassRec" >&6; }
-if test $ac_cv_lib_Xaw_threeDClassRec = yes; then
+char XawSme3dComputeTopShadowRGB ();
+int
+main ()
+{
+return XawSme3dComputeTopShadowRGB ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB" >&5
+echo "${ECHO_T}$ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB" >&6; }
+if test $ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB = yes; then
 
           athena_lib=Xaw;
           { echo "$as_me:$LINENO: WARNING: Assuming that libXaw is actually $athena_variant." >&5